Package org.apache.sling.scriptingbundle.plugin.processor

# Class Constants

java.lang.Object
org.apache.sling.scriptingbundle.plugin.processor.Constants

public final class Constants extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BND_EXCLUDES`
`static final String`
`BND_INCLUDES`
`static final String`
`BND_MISSING_REQUIREMENTS_OPTIONAL`
`static final String`
`BND_SCRIPT_ENGINE_MAPPINGS`
`static final String`
`BND_SEARCH_PATHS`
`static final String`
`BND_SERVICE_RANKING`
`static final String`
`BND_SOURCE_DIRECTORIES`
`static final String`
`CAPABILITY_EXTENDS_AT`
`static final String`
`CAPABILITY_EXTENSIONS_AT`
`static final String`
`CAPABILITY_METHODS_AT`
`static final String`
`CAPABILITY_NS`
`static final String`
`CAPABILITY_PATH_AT`
`static final String`
`CAPABILITY_RESOURCE_TYPE_AT`
`static final String`
`CAPABILITY_SCRIPT_ENGINE_AT`
`static final String`
`CAPABILITY_SCRIPT_EXTENSION_AT`
`static final String`
`CAPABILITY_SELECTORS_AT`
`static final String`
`CAPABILITY_VERSION_AT`
`static final Set<String>`
`DEFAULT_EXCLUDES`
`static final Map<String,String>`
`DEFAULT_EXTENSION_TO_SCRIPT_ENGINE_MAPPING`
`static final Set<String>`
`DEFAULT_SEARCH_PATHS`
`static final Set<String>`
`DEFAULT_SOURCE_DIRECTORIES`
`static final String`
`EXTENDS_FILE`
`static final Set<String>`
`METHODS`
`static final String`
`REQUIRES_FILE`
`static final String`
`SLING_BUNDLED_SCRIPTS_RANKING_HEADER`
`static final String`
`SLING_REQUIRED_RESOURCE_TYPES`
`static final String`
`SLING_REQUIRED_RESOURCE_TYPES_XML_LOCAL_NAME`
`static final String`
`SLING_RESOURCE_SUPER_TYPE_XML_LOCAL_NAME`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### METHODS

public static final Set<String> METHODS

### EXTENDS_FILE

public static final String EXTENDS_FILE

See Also:
  - Constant Field Values

### REQUIRES_FILE

public static final String REQUIRES_FILE

See Also:
  - Constant Field Values

### CAPABILITY_NS

public static final String CAPABILITY_NS

See Also:
  - Constant Field Values

### CAPABILITY_RESOURCE_TYPE_AT

public static final String CAPABILITY_RESOURCE_TYPE_AT

See Also:
  - Constant Field Values

### CAPABILITY_SELECTORS_AT

public static final String CAPABILITY_SELECTORS_AT

See Also:
  - Constant Field Values

### CAPABILITY_EXTENSIONS_AT

public static final String CAPABILITY_EXTENSIONS_AT

See Also:
  - Constant Field Values

### CAPABILITY_METHODS_AT

public static final String CAPABILITY_METHODS_AT

See Also:
  - Constant Field Values

### CAPABILITY_PATH_AT

public static final String CAPABILITY_PATH_AT

See Also:
  - Constant Field Values

### CAPABILITY_VERSION_AT

public static final String CAPABILITY_VERSION_AT

See Also:
  - Constant Field Values

### CAPABILITY_EXTENDS_AT

public static final String CAPABILITY_EXTENDS_AT

See Also:
  - Constant Field Values

### CAPABILITY_SCRIPT_ENGINE_AT

public static final String CAPABILITY_SCRIPT_ENGINE_AT

See Also:
  - Constant Field Values

### CAPABILITY_SCRIPT_EXTENSION_AT

public static final String CAPABILITY_SCRIPT_EXTENSION_AT

See Also:
  - Constant Field Values

### BND_SOURCE_DIRECTORIES

public static final String BND_SOURCE_DIRECTORIES

See Also:
  - Constant Field Values

### BND_EXCLUDES

public static final String BND_EXCLUDES

See Also:
  - Constant Field Values

### BND_INCLUDES

public static final String BND_INCLUDES

See Also:
  - Constant Field Values

### BND_SCRIPT_ENGINE_MAPPINGS

public static final String BND_SCRIPT_ENGINE_MAPPINGS

See Also:
  - Constant Field Values

### BND_SEARCH_PATHS

public static final String BND_SEARCH_PATHS

See Also:
  - Constant Field Values

### BND_MISSING_REQUIREMENTS_OPTIONAL

public static final String BND_MISSING_REQUIREMENTS_OPTIONAL

See Also:
  - Constant Field Values

### BND_SERVICE_RANKING

public static final String BND_SERVICE_RANKING

See Also:
  - Constant Field Values

### SLING_BUNDLED_SCRIPTS_RANKING_HEADER

public static final String SLING_BUNDLED_SCRIPTS_RANKING_HEADER

See Also:
  - Constant Field Values

### SLING_RESOURCE_SUPER_TYPE_XML_LOCAL_NAME

public static final String SLING_RESOURCE_SUPER_TYPE_XML_LOCAL_NAME

See Also:
  - Constant Field Values

### SLING_REQUIRED_RESOURCE_TYPES

public static final String SLING_REQUIRED_RESOURCE_TYPES

See Also:
  - Constant Field Values

### SLING_REQUIRED_RESOURCE_TYPES_XML_LOCAL_NAME

public static final String SLING_REQUIRED_RESOURCE_TYPES_XML_LOCAL_NAME

See Also:
  - Constant Field Values

### DEFAULT_EXTENSION_TO_SCRIPT_ENGINE_MAPPING

public static final Map<String,String> DEFAULT_EXTENSION_TO_SCRIPT_ENGINE_MAPPING

### DEFAULT_SEARCH_PATHS

public static final Set<String> DEFAULT_SEARCH_PATHS

### DEFAULT_SOURCE_DIRECTORIES

public static final Set<String> DEFAULT_SOURCE_DIRECTORIES

### DEFAULT_EXCLUDES

public static final Set<String> DEFAULT_EXCLUDES